Loading...
Searching...
No Matches
SharedOpApplier< IterT, OpT > Class Template Reference

`#include <openvdb/tools/ValueTransformer.h>`

## Public Types

using | IterRange = typename tree::IteratorRange<IterT>

## Public Member Functions

| SharedOpApplier (const IterT &iter, OpT &op)
void | process (bool threaded=true)
void | operator() (IterRange &r) const

## Member Typedef Documentation

## IterRange

template<typename IterT, typename OpT>

using IterRange = typename tree::IteratorRange<IterT>

## Constructor & Destructor Documentation

## SharedOpApplier()

template<typename IterT, typename OpT>

SharedOpApplier | ( | const IterT & | iter,
|  | OpT & | op )

inline

## Member Function Documentation

## operator()()

template<typename IterT, typename OpT>

void operator() | ( | IterRange & | r | ) | const

inline

## process()

template<typename IterT, typename OpT>

void process | ( | bool | threaded = true | ) |

inline